org.apache.tinkerpop.gremlin.structure.io.gryo

## Enum GryoPool.Type

- java.lang.Object
- - java.lang.Enum<GryoPool.Type>
  - - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoPool.Type

- All Implemented Interfaces:
    Serializable, Comparable<GryoPool.Type>
  Enclosing class:
    GryoPool

      public static enum GryoPool.Type
      extends Enum<GryoPool.Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `READER`
    `READER_WRITER`
    `WRITER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GryoPool.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GryoPool.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### READER

          public static final GryoPool.Type READER

    - #### WRITER

          public static final GryoPool.Type WRITER

    - #### READER_WRITER

          public static final GryoPool.Type READER_WRITER

  - ### Method Detail

    - #### values

          public static GryoPool.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GryoPool.Type c : GryoPool.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GryoPool.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.